Bug 437347 - Imgur share action should use system notifications to display progress and final output
Summary: Imgur share action should use system notifications to display progress and fi...
Status: RESOLVED FIXED
Alias: None
Product: frameworks-purpose
Classification: Unclassified
Component: general (show other bugs)
Version: 5.82.0
Platform: Other Linux
: NOR wishlist
Target Milestone: ---
Assignee: Aleix Pol
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2021-05-19 10:13 UTC by medin
Modified: 2021-12-13 22:52 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.90


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description medin 2021-05-19 10:13:56 UTC
It's the same function/target but the share process is quietly different from an app to another :

- In Dolphin, after sharing to Imgur, the loading window is shown, and no notification is shown after upload is finished, the image link is not copied to clipboard, and firefox is opened with the uploaded image link.

- In GwenView, after sharing to Imgur, the loading window is shown, and no notification is shown after upload is finished, the image link is copied to clipboard and shown in GwenView interface, and firefox is not opened with the uploaded image link.

- In Spectacle when it's opened, after sharing to Imgur, the loading window is shown, and no notification is shown after upload is finished, the image link is copied to clipboard and shown in Spectacle interface, and firefox is not opened with the uploaded image link.

- In spectacle using shortcut, after sharing to Imgur using the hamburger menu, the loading window is shown, and a notification is shown after upload is finished, the image link is not copied to clipboard, and firefox is opened with the uploaded image link.


The best way that could describe cleanly the share process would be :

After clicking on share in any app (Dolphin, GwenView or Spectacle (standalone or shortcut)), a notification will be shown that shows the progress of the upload including the image name and path and to which service it's currently uploaded, when it's finished uploading the same notification shows that a link to the uploaded image is copied to clipboard without launching any browser (because launching the whole browser to show only the uploaded image is not intuitive at all).
Comment 1 Nate Graham 2021-05-19 19:19:59 UTC
Unfortunately while the share action itself is a common thing, how each app integrates its output is up to that app. So we would need separate bug reports for each app with a sub-standard UX.

However I agree with you that using the notification system to show progress and output would be better. This *could* be implemented in a central location, after which, we would just remove all the custom handling in the apps. Moving to frameworks-purpose, where this action lives.
Comment 2 Bug Janitor Service 2021-08-27 18:05:58 UTC
A possibly relevant merge request was started @ https://invent.kde.org/frameworks/purpose/-/merge_requests/38
Comment 3 Nicolas Fella 2021-12-13 22:52:14 UTC
Git commit e0642ac56cf88547c4f82c57fbcd0a9ed46a6d1d by Nicolas Fella.
Committed on 13/12/2021 at 20:39.
Pushed by ngraham into branch 'master'.

[imgur] Copy link to clipboard and show notification

Currently it is up to the application to present the result url to the user, and they do that quite inconsistently.

Some apps open the url, some show it in an inline message, some copy it to the clipboard.

With this patch the link is always copied to the clipboard and a notification informs the user that this has been done.

This also removes the url property from the output which automatically removes the applications's own message handling

M  +1    -1    src/plugins/imgur/CMakeLists.txt
M  +11   -1    src/plugins/imgur/imgurplugin.cpp

https://invent.kde.org/frameworks/purpose/commit/e0642ac56cf88547c4f82c57fbcd0a9ed46a6d1d